Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1073794 - Review Request: qt5-qt3d - Qt3D (and QtQuick3D) for Qt5
Summary: Review Request: qt5-qt3d - Qt3D (and QtQuick3D) for Qt5
Keywords:
Status: CLOSED DUPLICATE of bug 1238296
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-07 08:43 UTC by Tomas Miljenović (TomasM)
Modified: 2015-07-01 14:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-01 14:48:00 UTC


Attachments (Terms of Use)

Description Tomas Miljenović (TomasM) 2014-03-07 08:43:53 UTC
Spec URL: http://tomasm.tk/fedorarepo/TMM/qt5-qt3d.spec
SRPM URL: http://tomasm.tk/fedorarepo/TMM/SRPMS/qt5-qt3d-5.0.0-0.10.git20130923.7433868.TMM.fc20.src.rpm
Description: Qt3D provides support for scripting Qt Quick applications in 3D using OpenGL.
(It contains C++ headers as well, so I'm guessing upstream's description doesn't quite fit.)

c.f. #858061 and #731794

There are still plans for Qt3D to become an official Qt submodule during a later 5.x release. I personally think Qt3D has reached at a point where it would be useful to include in Fedora now, and any investigation into packaging will be beneficial for future Qt releases anyway.

There are a couple of issues with the spec file referenced, but unfortunately I'm not able to touch it at this time. If there is interest in Fedora shipping this package, I can fix outstanding issues early next week.

Comment 1 Rex Dieter 2014-03-11 13:09:28 UTC
cleanup/fix summary (to match pkg %name and %summary), mark blocking qt-reviews tracker

Comment 2 Rex Dieter 2014-12-31 21:37:41 UTC
Naming: NOT Ok

1. MUST drop .TMM string from Release: tag

license: ok

sources: ok
(would be nice to get a fresh snapshot, this one is fairly old by now)

scriptlets: ok

macros: ok (mostly)

2. SHOULD use newer %{qmake_qt5} macro instead of %{_qt5_qmake}

%files: NOT ok

3. MUST package lib soname symlinks and *.prf files in -devel subpkg
%{_qt5_libdir}/libQt53DQuick.so
%{_qt5_libdir}/libQt53D.so
%{_qt5_libdir}/libQt53D*.prl


4.  MUST drop needless -static pkg, I'd recommend simply omitting *.la files from packaging


scratch build underway:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8508245

Comment 3 Rex Dieter 2014-12-31 21:40:27 UTC
Build failed, 

5. MUST add (at least)
BuildRequires: qt5-qtbase-devel

Comment 4 Rex Dieter 2015-07-01 14:48:00 UTC
Looks like a stalled review, let's close this in favor of fresh one submitted as bug #1238296

*** This bug has been marked as a duplicate of bug 1238296 ***


Note You need to log in before you can comment on or make changes to this bug.